Bug 122599 - Classification: Signing: paragraph signing doesn't change to invalid when the paragraph is splitted with Enter
Summary: Classification: Signing: paragraph signing doesn't change to invalid when the...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.0.0.3 release
Hardware: x86-64 (AMD64) All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.3.0 target:6.2.4
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Classification
  Show dependency treegraph
 
Reported: 2019-01-09 11:47 UTC by Cor Nouws
Modified: 2022-08-11 03:46 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
pdf with four screen shots of valid/invalid etc (197.87 KB, application/pdf)
2019-01-09 11:47 UTC, Cor Nouws
Details
test file Classification_Signing Enter Should Invalidate Paragraph Signature (13.83 KB, application/vnd.oasis.opendocument.text)
2019-01-09 17:40 UTC, Cor Nouws
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Cor Nouws 2019-01-09 11:47:12 UTC
Created attachment 148166 [details]
pdf with four screen shots of valid/invalid etc

- Writer document, add some text in a paragraph
- View > Toolbar > (TSCP) Classification
- start dialog (Manage) Paragraph Classification
- select classification e.g. confidential
- click Sign paragraph
  > classification (abbreviated) appears in field at start of paragraph;
    signature info appears in field at end of paragraph;
- Notice that the signature is marked 'Valid'
   This is OK

Now put cursor in paragraph and hit Enter, so split it
- Notice that the signature, at the end of the new paragraph is still marked 'Valid'
   This is wrong

Noticed in 6.2.0.1 and also in Versie: 6.0.0.3
Build ID: 64a0f66915f38c6217de274f0aa8e15618924765
CPU-threads: 4; Besturingssysteem: Linux 4.15; UI-render: standaard; VCL: gtk2; 
Locale: nl-NL (nl_NL.UTF-8); Calc: group

Was OK in Version: 6.0.0.0.alpha0+
Build ID: 892c719fffa06de4c7aeab497326cad7bae9e5c6
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2017-09-27_03:02:09
Locale: nl-NL (nl_NL.UTF-8); Calc: group
Comment 1 raal 2019-01-09 17:01:07 UTC
This seems to have begun at the below commit.
Adding Cc: to Ashod Nakashian; Could you possibly take a look at this one? Thanks
 6715efa4203952206e01eb43c6dd0880f93d7c68 is the first bad commit
commit 6715efa4203952206e01eb43c6dd0880f93d7c68
Author: Norbert Thiebaud <nthiebaud@gmail.com>
Date:   Sun Nov 5 21:20:51 2017 -0800

    source sha:e6b200524bd5f614ab5ece88e8187466e7c40096

author	Ashod Nakashian <ashodnakashian@yahoo.com>	2017-11-02 21:20:50 -0400
committer	Ashod Nakashian <ashnakash@gmail.com>	2017-11-06 06:12:21 +0100
commit e6b200524bd5f614ab5ece88e8187466e7c40096 (patch)
tree c90e7c8d45f353a43465aa8c43e9881d4d55d53f
parent ffa46ebe6d83c5e812753c41857f31c059f33986 (diff)
TSCP: Store paragraph signature RDF in the paragraph
Comment 2 Cor Nouws 2019-01-09 17:40:38 UTC
Created attachment 148179 [details]
test file  Classification_Signing Enter Should Invalidate Paragraph Signature

thanks for confirming Raal. Test file attached.
Comment 3 Commit Notification 2019-04-19 08:17:04 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/d43cc00cf97fa1151560aa6fe0a3fef38e7507f6%5E%21

crashtesting: tdf#122599 NSS_CMSMessage_CreateFromDER asserts

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2019-04-23 13:36:17 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/790bdd69926cf53359b35a105c3e9e1f61314aa7%5E%21

crashtesting: tdf#122599 NSS_CMSMessage_CreateFromDER asserts

It will be available in 6.2.4.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 QA Administrators 2022-08-11 03:46:41 UTC
Dear Cor Nouws,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://web.libera.chat/?settings=#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug